
{-----------------------------------------------------------------------------
 Unit Name: ResourceStrings
 Project Name : Parametricas4
 Author:    Angel Montesinos Amilibia
 Dates: 2003-2009
 Purpose: Strings used through the project
-----------------------------------------------------------------------------}
{

Parametricas4, workshop for the geometry of surfaces in R^4.

Parametricas4, workshop for the geometry of surfaces in R^4.


MIT License

Copyright (c) [2003 - 2018] [Angel Montesinos-Amilibia], email montesin@uv.es

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.




}

unit ResourceStrings;

interface
resourcestring
  eEnter = 'Enter';
  eStop = 'Stop';
  eNoAsymptoticLines = 'There are no asymptotic lines by that point';
  eUmbilicalPoint ='That point was umbilical or without principal directions';
  eErrorReadingEditField = 'Error reading an edit field';
  eBlankField = 'An edit field is blank';
  euMinLessThanuMax = 'The minimum of ''u'' must be less than its maximum';
  evMinLessThanvMax = 'The minimum of ''v'' must be less than its maximum';
  ePrinting = 'Printing';
  eWrongFile = 'Wrong file type';
  eVersionUnsupported = 'Version unsupported';
  eCorruptedFile = 'The file seems to be corrupted';
  eErrorInPrinting = 'Error in printing';
  ePrintingCancelled = 'Printing cancelled';

  eParabolicLocus = 'Parabolic locus';
  eSemiumbilicalLocus = 'Semiumbilical locus';
  eHParallelEllipseLocus = 'H parallel to ellipse locus';
  eZeroGKLocus = 'Zero Gauss Curvature locus';
  eZeroDiscrNormDevLocus = 'Zero extremal normal deviation discriminant locus';
  eZeroDiscrLatDevLocus = 'Zero extremal lateral deviation discriminant locus';
  eZeroDiscrStrPpalLocus = 'Zero strong pricipal directions discrminant locus';

  eCoordLines = 'Coordinate lines';
  eCurvatureLines = 'Curvature lines';
  eAsymptoticLines = 'Asymptotic lines';
  eMeanCurvLines = 'Mean curvature lines';
  ePrincipalLines = 'Principal lines';

  eComputationHalted = 'Computation halted';

  {For the "manual" form}

  eManual = 'Manual';
  eTitleLabel = 'Parametricas4';
  eNPLabel = 'Version 1.6,  November 12, 2009';
  eLabel2 = 'Geometry of surfaces in R^4';

  
  {For the FYesNoCancel form}

  eYes= 'Yes';
  eNo= 'No';
  eCancel= 'Cancel';
  eConfirm = 'Confirm';
  eWantToSaveQ = 'Do you want to save changes made?';

  ePalette= 'Color Picker';


  eBadNumber = 'A number is miswritten.';
  eBadCharacters = 'You have used an illegal character.';
  eBadFunctionOrVariables = 'You mispelled a function or variable';
  eBadParentheses = 'Check the parentheses, please.';
  eTooMuchConstants = 'I cannot digest that much constants.';
  eSintaxError = 'There is a sintax fault in the formula.';
  eErrorInParsing = 'I did fail in analysing the function.';
  eExpressionTooLarge = 'The expression is too long.';
  eNothingWritten = 'Some field may be empty';
  eBadVar = 'The allowed variables in this formula are: ';
  eBadVarSet = 'The allowed variables must be in the range ''p'' to ''z''.';
  eBadParams = 'A parameter cannot be treated as a variable';
  eNoIntegralsAllowed = 'Integrals are not allowed';
  eNoUVprimes= 'In the formula for the tangent length cannot appear u'', etc';
  eDerivativesMissing = 'One of the formulas doesn''t contain derivatives';
  eBadPointEncountered=  'Bad point encountered';

  eBadOrder = 'The formula is not of the required order';

  eBadConstant = 'A constant is empty or miswritten';
  

implementation

end.

